using fbblTipi;

namespace fbblSchemaAziendale
{
    public class Ferie_Permessi : Assunzione
    {
        private sbyte GiorniDiFerieGoduti;
        private sbyte GiorniDiFerieDovuti;
        private sbyte GiorniPermessiGoduti;

        public Ferie_Permessi(string Nome, string Cognome, string Sesso, string Via, string Numero,
                           string Citta, string Cap, string Provincia, string TelefonoFisso, string CodiceFiscale,
                           string Matricola, string Livello, string Mansione, int Retribuzione,
                           sbyte GiorniDiFerieGoduti,sbyte GiorniDiFerieDovuti,sbyte GiorniPermessiGoduti)
            : base(Nome, Cognome, Sesso, Via, Numero, Citta, Cap, Provincia, TelefonoFisso,
                   CodiceFiscale, Matricola,  Livello,  Mansione,  Retribuzione)
        {
            this.GiorniDiFerieDovuti = GiorniDiFerieDovuti;
            this.GiorniDiFerieGoduti = GiorniDiFerieGoduti;
            this.GiorniPermessiGoduti = GiorniPermessiGoduti;
        }

        public sbyte get_GiorniDiFerieGoduti()
        {
            return this.GiorniDiFerieGoduti;
        }

        public sbyte get_GiorniDiFerieDovuti()
        {
            return this.GiorniDiFerieDovuti;
        }

        public sbyte get_GiorniPermessiGoduti()
        {
            return this.GiorniPermessiGoduti;
        }

        new public Liste stampa()
        {
            Liste MiaLista = base.stampa(); // eseguo la stampa della classe padre Nominativo

            MiaLista.ListaDiStringhe.Add(this.get_GiorniDiFerieGoduti().ToString());
            MiaLista.ListaDiStringhe.Add(this.get_GiorniDiFerieDovuti().ToString());
            MiaLista.ListaDiStringhe.Add(this.get_GiorniPermessiGoduti().ToString());

            return MiaLista;
        }

    }
}
